*( MAKE_DBF.CMD--Create new dBASE file w/ up to 6 columns.)
CLS  *( Save and set current R:BASE settings.)
SET VAR quote TEXT = quotes, vquote TEXT = (CVAL(.quote))
SET QUOTE = '
SET VAR vmess TEXT=(CVAL('message')); SET MESSAGE OFF
SET VAR verror TEXT=(CVAL('error')); SET ERR MESSAGE OFF
SET VAR vbell TEXT = (CVAL('bell')); SET BELL OFF
SET VAR vfile TEXT  *( Get the name of the file to use)
FILLIN vfile=8 USING 'Enter the name for the .DBF file: '
IF vfile = '[Esc]' OR vfile IS NULL THEN ; GOTO done ; ENDIF
IF vfile NOT CONT '.dbf' THEN ; SET VAR vfile=(.vfile+'.dbf')
ENDIF
SET error var vstatus ; COPY .vfile NUL IF vstatus = 0 THEN  *( Make sure .DBF file doesn't exist.)
  DIALOG 'Enter a unique name for the .DBF file: ' vfile vtemp 1
ENDIF
CLEAR VAR vtemp, vblank, vstatus
*( Find out how many columns are wanted.)
SET VAR vncol INTEGER, vrowsize INTEGER
FILLIN vncol=2 USING 'How many columns are in this .DBF file? '
IF vncol <= 0 OR vncol IS NULL THEN ; GOTO done ; ENDIF
IF vncol > 6 THEN
  WRITE 'A maximum number of 6 columns can be defined.'
  GOTO done
ENDIF
*( Make the string needed for the initial block and zero fill it.)
*( Add the version number and date.)
SET VAR vrowsize=0, vtemp TEXT=(CHAR(0)), +
  vroot TEXT=(SFIL(.vtemp, 254)), vtemp=(CHAR(3)), +
  vroot=(SMOVE(.vtemp,1,1,.vroot,1)), vyr = (IYR(.#DATE))
IF vyr > 1900 THEN ; SET VAR vyr = (.vyr - 1900) ; ENDIF
SET VAR vtemp = (CHAR(.vyr)), +
  vroot = (SMOVE(.vtemp,1,1,.vroot,2)), +
  vmon = (IMON(.#DATE)), vtemp = (CHAR(.vmon)), +
  vroot=(SMOVE(.vtemp,1,1,.vroot,3)), vday = (IDAY(.#DATE)), +
  vtemp = (CHAR(.vday)), vroot = (SMOVE(.vtemp,1,1,.vroot,4))
CLEAR VAR vyr, vmon, vday  *( Add the header size.)
SET VAR vhdrbyt=(((.vncol + 1) * 32) + 1), +
  vtemp=(CHAR(.vhdrbyt)), vroot=(SMOVE(.vtemp,1,1,.vroot,9))
OUTPUT temp_fil.$$$  *( Create menu for data types.)
WRITE 'TITLE'
WRITE 'POPUP |Choose the data type for the column:|'
WRITE 'Character |For TEXT and TIME columns|'
WRITE 'Number |For INTEGER, REAL, DOUBLE, CURRENCY, +
and NUMERIC |'
WRITE 'Date |For DATE columns|'
OUTPUT screen  *( Do the columns)
SET VAR vname TEXT, vtype TEXT, vlength INTEGER, +
  vcount INT = 0, vloc INT = 33, voffset = 10, vline = 6
WRITE 'Column definitions'
*(          6 blanks      12 blanks        2 blanks)
WRITE 'Name      Type            Total length  Scale'
WRITE '--------   ----            ---------  -----'
WHILE vcount < .vncol THEN
  *( Get the column name, data type, and length. FILLIN...USING '')
  *( commands are using two single quotation marks, not a double.)
  FILLIN vname=8 USING '' AT .vline 1 black ON gray
  SET VAR vname = (LUC(.vname))
  CHOOSE vtype FROM temp_fil.$$$ AT .vline 11
  IF vtype = '[Esc]' OR vtype IS NULL THEN ; GOTO done ; ENDIF
  SET VAR vtype = (SGET(.vtype,1,1)), vscale = 0
  IF vtype = 'D' THEN ; SET VAR vlength = 8
  ELSE ; FILLIN vlength=3 USING '' AT .vline 27 black ON gray
    IF vtype = 'N' THEN
      FILLIN vscale=2 USING '' AT .vline 41 black ON gray
    ENDIF
  ENDIF
  *( Add the name, data type, and offset.)
  SET VAR vl=(SLEN(.vname)), +
    vroot=(SMOVE(.vname,1,.vl,.vroot,.vloc)), +
    vl=(.vloc + 11), vroot=(SMOVE(.vtype,1,1,.vroot,.vl)), +
    vtemp=(CHAR(.voffset)),vl=(.vloc + 12), +
    vroot=(SMOVE(.vtemp,1,1,.vroot,.vl))
  *( Add segment, overall length, digits to right of decimal point.)
  SET VAR vsegment='J', vl=(.vloc + 14), +
    vroot=(SMOVE(.vsegment,1,2,.vroot,.vl)), +
    vtemp=(CHAR(.vlength)), vl=(.vloc + 16), +
    vroot=(SMOVE(.vtemp,1,1,.vroot,.vl)), +
    vtemp=(CHAR(.vscale)), vl=(.vloc + 17), +
    vroot=(SMOVE(.vtemp,1,1,.vroot,.vl))
  *( Add the work area identification.)
  SET VAR vtemp = (CHAR(1)), vl = (.vloc + 20), +
    vroot = (SMOVE(.vtemp,1,1,.vroot,.vl)), +
    vrowsize = (.vrowsize + .vlength), vloc = (.vloc + 32) +
    voffset = (.voffset + .vlength), vcount = (.vcount + 1)
  CLS FROM .vline ; SHOW VAR vname=8 AT .vline 1
  SHOW VAR vtype=1 AT .vline 11
  IF vtype <> 'D' THEN ; SHOW VAR vlength=3 AT .vline 27
    IF vtype = 'N' THEN ; SHOW VAR vscale=2 AT .vline 41 ; ENDIF
  ENDIF ; SET VAR vline = (.vline + 1)
ENDWHILE
IF vrowsize >= 256 THEN  *( Add row size and last header byte.)
  WRITE 'The row size is limited to 256 bytes.' ; GOTO done
ENDIF
SET VAR vtemp=(CHAR(.vrowsize)), +
  vroot=(SMOVE(.vtemp,1,1,.vroot,11)), vtemp=(CHAR(13)), +
  vroot=(SMOVE(.vtemp,1,1,.vroot,.vloc))
ERASE temp_fil.$$$ ; SET WIDTH 256  *( Write it out.)
OUTPUT .vfile ; WRITE .vroot ; OUTPUT SCREEN
SET WIDTH 79 ; CLEAR VAR vroot, vtemp
LABEL done  *( Restore the original R:BASE settings.)
SET QUOTE = .vquote ; SET MESSAGE .vmess
SET ERROR MESSAGE .verror ; SET BELL .vbell
CLEAR VAR quote, vquote, vmess, verror, vbell, vfile, vncol, +
  vrowsize, vhdrbyt, vname, vtype, vlength, vcount, vloc, voffset, +
  vline, vscale, vl, vsegment

